Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface StructuralDescriptor

All Superinterfaces:
  PropertyDescriptor

All Known Subinterfaces:
  AssociationDescriptor, AttributeDescriptor

    public interface StructuralDescriptor

extends PropertyDescriptor

Containment information for a complex attribute.

ComplexType specific information such as Name, type and multiplicity are defined.

If in the future the nature of the containment relationship needs further definition; you may expect additional information to be gathered here.

Method Summary
`int` | `getMaxOccurs()` Captures cardinality
`int` | `getMinOccurs()` Captures cardinality

Methods inherited from interface PropertyDescriptor
`getName, getUserData, putUserData, type`

Method Detail

### getMinOccurs

    int getMinOccurs()

  Captures cardinality

### getMaxOccurs

    int getMaxOccurs()

  Captures cardinality

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.